package vo

type SubCode string

const (
	SubCodeUp02094 SubCode = "UP02094"
	SubCodeUp02099 SubCode = "UP02099"
	SubCodeUp06003 SubCode = "UP06003"
	SubCodeUp06004 SubCode = "UP06004"
	SubCodeUp06005 SubCode = "UP06005"
	SubCodeUp06006 SubCode = "UP06006"
	SubCodeUp06007 SubCode = "UP06007"
	SubCodeUp06008 SubCode = "UP06008"
	SubCodeUp06009 SubCode = "UP06009"
	SubCodeUp06010 SubCode = "UP06010"
	SubCodeUp06011 SubCode = "UP06011"
	SubCodeUp06012 SubCode = "UP06012"
	SubCodeUp06021 SubCode = "UP06021"
	SubCodeUp06022 SubCode = "UP06022"
	SubCodeUp06034 SubCode = "UP06034"
	SubCodeUp06035 SubCode = "UP06035"
	SubCodeUp06036 SubCode = "UP06036"
	SubCodeUp06037 SubCode = "UP06037"
	SubCodeUp06038 SubCode = "UP06038"
	SubCodeUp06039 SubCode = "UP06039"
	SubCodeUp06040 SubCode = "UP06040"
	SubCodeUp06041 SubCode = "UP06041"
	SubCodeUp06042 SubCode = "UP06042"
	SubCodeUp06043 SubCode = "UP06043"
	SubCodeUp06044 SubCode = "UP06044"
	SubCodeUp06045 SubCode = "UP06045"
	SubCodeUp07001 SubCode = "UP07001"
	SubCodeUp07002 SubCode = "UP07002"
	SubCodeUp07003 SubCode = "UP07003"
	SubCodeUp07004 SubCode = "UP07004"
	SubCodeUp07005 SubCode = "UP07005"
	SubCodeUp07010 SubCode = "UP07010"
	SubCodeUp07012 SubCode = "UP07012"
	SubCodeUp07013 SubCode = "UP07013"
	SubCodeUp07014 SubCode = "UP07014"
	SubCodeUp07015 SubCode = "UP07015"
	SubCodeUp07020 SubCode = "UP07020"
	SubCodeUp07030 SubCode = "UP07030"
	SubCodeUp07050 SubCode = "UP07050"
	SubCodeUp07051 SubCode = "UP07051"
	SubCodeUp07052 SubCode = "UP07052"
	SubCodeUp00030 SubCode = "UP00030"
	SubCodeUp00050 SubCode = "UP00050"
	SubCodeUp00080 SubCode = "UP00080"
	SubCodeUp02025 SubCode = "UP02025"
	SubCodeUp02071 SubCode = "UP02071"
)

var codeMsg = map[SubCode]string{
	SubCodeUp02094: "交易重复",
	SubCodeUp02099: "交易单品信息无效",
	SubCodeUp06003: "线上折扣活动不存在",
	SubCodeUp06004: "线上折扣活动已下线",
	SubCodeUp06005: "线上折扣活动未开始",
	SubCodeUp06006: "线上折扣活动已结束",
	SubCodeUp06007: "线上折扣活动已过期(当前消费请求已不满足)",
	SubCodeUp06008: "线上折扣活动多方出资配置或者计算错误",
	SubCodeUp06009: "线上折扣活动查询结果不满足消费请求(适用于查询并承兑)",
	SubCodeUp06010: "折扣活动承兑金额检验错误",
	SubCodeUp06011: "线上折扣活动余额不足",
	SubCodeUp06012: "线上折扣活动当前周期余额不足",
	SubCodeUp06021: "线上折扣活动城市校验失败，定位城市非活动城市",
	SubCodeUp06022: "线上折扣活动城市校验失败，交易未上送定位城市",
	SubCodeUp06034: "线上折扣活动参与卡付失败封顶",
	SubCodeUp06035: "线上折扣活动参与手机封顶",
	SubCodeUp06036: "线上折扣活动参与银行卡封顶",
	SubCodeUp06037: "线上折扣活动参与迷你付终端封顶",
	SubCodeUp06038: "线上折扣活动参与用户封顶",
	SubCodeUp06039: "线上折扣活动参与账单号封顶",
	SubCodeUp06040: "线上折扣活动参与用户商品数量封顶",
	SubCodeUp06041: "线上折扣活动参与证件号封顶",
	SubCodeUp06042: "线上折扣活动参与商户号封顶",
	SubCodeUp06043: "线上折扣活动参与人脸证件号封顶",
	SubCodeUp06044: "线上折扣活动参与商户Pos终端封顶",
	SubCodeUp06045: "线上折扣活动参与活动封顶",
	SubCodeUp07001: "优惠券下载失败",
	SubCodeUp07002: "优惠券冻结失败",
	SubCodeUp07003: "优惠券删除失败",
	SubCodeUp07004: "优惠券操作结果查询失败",
	SubCodeUp07005: "优惠券开放平台权限校验失败",
	SubCodeUp07010: "用户优惠券张数超过限制",
	SubCodeUp07012: "优惠券下载封顶累计失败",
	SubCodeUp07013: "优惠券下载调用账务失败",
	SubCodeUp07014: "优惠券下载卡号反查用户ID失败",
	SubCodeUp07015: "优惠券下载手机号反查用户ID失败",
	SubCodeUp07020: "优惠券冻结调用账务失败",
	SubCodeUp07030: "优惠券删除调用账户失败",
	SubCodeUp07050: "优惠券下载维度无效",
	SubCodeUp07051: "用户送券维度：当前用户未实名认证",
	SubCodeUp07052: "用户送券维度：可用银行卡与当前账户不同名，需绑定同名卡",
	SubCodeUp00030: "请求报文错误(无效)",
	SubCodeUp00050: "线上折扣系统并发控制限制",
	SubCodeUp00080: "线上折扣系统内部错误",
	SubCodeUp02025: "原交易不存在",
	SubCodeUp02071: "交易无效",
}

func (code SubCode) GetMsg() string {
	msg, ok := codeMsg[code]
	if !ok {
		return "未知错误代码"
	}
	return msg
}
